1. 发表帖子
淘宝联盟论坛
联盟通告
+发表新贴
  • 回复
  • 助威
  • 收藏
楼层直达
返回顶部
  • 【重点通知】阿里百川电商SDK&联盟SDK升级公告
  • 联盟委员会发表于2019-09-04 06:32浏览(7153)回复(0)

一、阿里百川电商SDK升级公告

百川电商SDK升级公告链接:

https://baichuan.taobao.com/support/announcementDetail.htm?id=25464


公告内容(如有更新,以百川SDK升级公告为准):

尊敬的百川开发者:

        您好!为了更好地支持百川电商能力扩展,同时提升安全防护等级,阿里百川电商SDK即将进行升级。升级后的新版电商SDK(版本号4.0.0.0)将于2019年9月4日发布,请您注意:为了平滑升级,旧版百川电商SDK(版本号3.x.x.x及以下版本)会保留到2019年9月30日(不含)。自2019年9月30日起(含),阿里百川电商SDK的旧版本服务将逐步停止,对于未及时升级的开发者,届时您的百川电商SDK的调用将会出错。若您涉及调用百川电商SDK,为确保您的业务不受影响,请您及时按期完成新版百川电商SDK的升级(升级指南请见下方第4点)。

        具体升级内容和影响如下:

  • 1、本次升级涉及范围:所有调用百川电商SDK(版本号x.x.x及以下版本)的appkey
  • 2、本次电商SDK升级内容:
  • - 针对登录态逻辑做了优化,需要按照新逻辑做调整。
  • - 针对直接调用页面能力做了调整,需要按照新的方式调用。可调用的页面以百川提供为准。
  • - 针对唤端能力做了相关优化。
  • 3、升级时间及影响:请您在2019年9月4日起至2019年9月30日期间完成新版百川电商SDK(版本号4.0.0.0)升级,请务必注意两个时间点:
  • ——自9月中旬,因老版本不再维护,因老版本不再维护,部分调用旧版百川电商SDK的应用可能会受到影响,具体表现为部分消费者在应用内无法正常访问淘宝登录相关的页面,同时应用在后台调用接口失败,返回错误码为:14093,并提示“授权登录功能版本过低,需要APP升级百川版本,详情请参见链接https://c.tb.cn/I3.DrIr ”。
  • ——自9月30日,调用旧版百川电商SDK(版本号x.x.x及以下版本)的appkey将随机批量停止百川电商服务,预计将在10月9日停止所有百川电商服务,如未在上述日期按时完成升级将导致百川电商功能不可用,请特别关注!
  • 4、 新百川电商SDK升级指导

    5、 新百川电商SDK升级FAQ


如您有任何疑问,请在“阿里新百川电商SDK升级答疑群-2群”(钉钉群号:23178116)留言或在开放平台提交工单咨询,感谢您的理解、支持与配合!

钉钉群二维码:


阿里巴巴.百川

2019年9月4日



二、TUnionSDK(俗称联盟SDK)同步升级通知

亲爱的淘宝客:

       您好!为了更好地支持淘宝电商能力的扩展,联盟SDK将同步升级至百川SDK,淘宝开放SDK将统一升级为一套能力,即百川SDK,在后续,百川SDK将持续为媒体提供更完善更强大的电商开放能力!

       请接入TUnionSDK(俗称联盟SDK)的媒体,同步升级至百川SDK(版本号4.0.0.0)。

        联盟SDK升级节奏,同百川SDK;若在时间内未及时升级,则联盟SDK的开发者将与百川SDK升级公告中“3、升级时间及影响”保持一致。请尽快完成升级!


特别注意:

1、开发者若希望调用百川SDK功能时,在自有APP内打开的H5页面有需要,可填写问券表https://survey.taobao.com/apps/zhiliao/Dbd0dDKC4

(注意:本问券仅做需求收集,不承诺是否支持及何时支持。如后续可支持,会在开发文档中进行说明,请知晓)

2、如果唤醒手淘时,未安装手淘的用户,可以考虑引导到:新人福利社 https://mos.m.taobao.com/activity_newer。百川SDK后台套件功能内,有提供该页面的直接调用能力!

3、如果是渠道管理、会员运营管理的开发者,渠道备案/会员备案,当消费者未登录手淘时,唤起手淘授权登录,这个备案页,暂时还未透传登录态,这个功能会在下周二改造完成,后续就可以正常透传了,请注意一下升级时间和影响!!!!同时,已经生成渠道id或会员id的用户,无需再次备案的,请自行做好技术处理!